/*************************** (C) COPYRIGHT 2017 CXHY ****************************
 * 文件名  ：device.h
 * 描  述  ：设备控制程序
 * 版  本  ：V1.0
 * 作  者  ：XuZhongPing
 * 日  期  ：2017/03/06 
*********************************************************************************/
#ifndef __DEVICE_H
#define __DEVICE_H

//四分类+有害箱体类型定义（四分类一体的箱体要将此定义注释掉）
#define FOUR_CHANNEL_AND_HARMFUL
#define FOUR_DROP_PORTS

#include "stm32f10x.h"
#include "usart1.h"
#include "usart2.h"
#include "usart3.h"
#include "usart4.h"
#include "usart5.h"

#include "string.h" 
#include "stdlib.h" 

#include "led.h"
#include "key.h"
#include "opto_sw_key.h"
#include "sw_key.h"
#include "buzzer.h" 
#include "scale.h"
#include "ElectronicLock.h"
#include "motor.h"
#include "RFID_IC.h"
#include "qr_code.h"
#include "ntc.h"
#include "sound.h"
#include "spi.h"
#include "flash.h" 
#include "stmflash.h"
#include "distancer.h"

#include "ec200x.h"
#include "disinfection.h"
#include "door_ctrl.h"
#include "m_s_comm.h"

#define VersionNumber "V2.1_260709_4CH"

void show(uint8_t num[], uint8_t n);
void CalcOverflowStartPointParam(void);
void DeviceInit(void);										//设备初始化
void DeviceTest(void);										//硬件测试
void UserIdentificationTask(void);
uint8_t GetPutInType(void);								//取得开门投放类型
void ShowPutInTyep(uint8_t uType);
void GetUserInfo(uint8_t inputType);			//根据开门请求方式来取得用户的相关信息 
void ClearPutInInfo(void);								//清除开门请求


void DeviceScanning(void);
void PutInOpenDoorTask(void);
void OpenDoorRequestTask(void);
void DeviceControlTask(void);
void CollectorLockCtrlTask(void);
void FillLightTask(void);
void CoolingFanCtrlTask(void);
void SprayCtrlTask(void);
void SystemExceptionTask(void);

#endif

/******************** (C) COPYRIGHT 2017 CXHY *****END OF FILE*******************/
